Bug 3616 - Error installing Zebra barcode printer
Error installing Zebra barcode printer
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Printing
3.0.20b
x64 Windows XP
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-17 16:05 UTC by Bob Dehn
Modified: 2012-01-09 10:37 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bob Dehn 2006-03-17 16:05:34 UTC
I was attempting to install a Zebra 140XiII barcode printer in 3.0.20b-3.4-SUSE (SLES 9) and received the following error:

Mar 17 14:57:56 xxxxxxxxx smbd[21847]: Added printer driver. Print driver name: Zebra 140XiII. Print driver OS: WINNT. Administrator name: root.
Mar 17 14:58:50 xxxxxxxxx smbd[21847]: [2006/03/17 14:58:50, 0] rpc_parse/parse_spoolss.c:spoolss_io_devmode(785)
Mar 17 14:58:50 xxxxxxxxx smbd[21847]:   spoolss_io_devmode: I've parsed all I know and there is still stuff left|
Mar 17 14:58:50 xxxxxxxxx smbd[21847]: [2006/03/17 14:58:50, 0] rpc_parse/parse_spoolss.c:spoolss_io_devmode(787)
Mar 17 14:58:50 xxxxxxxxx smbd[21847]:   spoolss_io_devmode: available_space = [800], devmode_size = [1020]!
Mar 17 14:58:50 xxxxxxxxx smbd[21847]: [2006/03/17 14:58:50, 0] rpc_parse/parse_spoolss.c:spoolss_io_devmode(788)
Mar 17 14:58:50 xxxxxxxxx smbd[21847]:   spoolss_io_devmode: please report to samba-technical@samba.org!
Mar 17 14:58:50 xxxxxxxxx smbd[21847]: [2006/03/17 14:58:50, 0] rpc_server/srv_spoolss.c:api_spoolss_open_printer_ex(76)
Mar 17 14:58:50 xxxxxxxxx smbd[21847]:   spoolss_io_q_open_printer_ex: unable to unmarshall SPOOL_Q_OPEN_PRINTER_EX.
Mar 17 14:58:50 xxxxxxxxx smbd[21847]: [2006/03/17 14:58:50, 0] rpc_server/srv_pipe.c:api_rpcTNP(1572)
Mar 17 14:58:50 xxxxxxxxx smbd[21847]:   api_rpcTNP: spoolss: SPOOLSS_OPENPRINTEREX failed.

As you can tell this makes quite a mess and the only way to recover is to restart SMB and remove the printer.
Comment 1 Gerald (Jerry) Carter 2006-03-17 16:34:55 UTC
Bob,  Set 'default devmode = yes' in [global] and try again.
If that doesn't fix it, please reopen this bug.
Comment 2 Bob Dehn 2006-03-17 16:55:26 UTC
Jerry - Thanks for ther QUICK response!I Added the entry you asked for. It was better but still errored when I went to look at Document Defaults.

[2006/03/17 16:47:05, 0] rpc_parse/parse_spoolss.c:spoolss_io_devmode(788)
  spoolss_io_devmode: please report to samba-technical@samba.org!
[2006/03/17 16:47:05, 0] rpc_server/srv_spoolss.c:api_spoolss_open_printer_ex(76)
  spoolss_io_q_open_printer_ex: unable to unmarshall SPOOL_Q_OPEN_PRINTER_EX.
[2006/03/17 16:47:05, 0] rpc_server/srv_pipe.c:api_rpcTNP(1572)
  api_rpcTNP: spoolss: SPOOLSS_OPENPRINTEREX failed.
[2006/03/17 16:47:10, 0] rpc_server/srv_pipe_hnd.c:unmarshall_rpc_header(468)
  unmarshall_rpc_header: FIRST flag not set in first PDU !
[2006/03/17 16:47:22, 0] rpc_server/srv_pipe_hnd.c:unmarshall_rpc_header(468)
  unmarshall_rpc_header: FIRST flag not set in first PDU !
Comment 3 Gerald (Jerry) Carter 2006-03-17 17:01:30 UTC
Did you restart Samba or reboot the client machine after adding
the configuration change ?
Comment 4 Bob Dehn 2006-03-17 17:19:32 UTC
I restarted SMB and rebooted client. Same errors in logs.
Comment 5 Gerald (Jerry) Carter 2006-04-08 07:53:24 UTC
Do you have a URL for the driver?  Also please upload a gzipped level 
10 debug log from smbd (as an attachment).  Thanks.
Comment 6 Andreas Schneider 2012-01-09 10:37:35 UTC
This is probably fixed with a newer Samba version. If you still see the error. Please open a new bug with 'debug level = 10' logfiles. Thanks!